<meta charset="UTF-8" name="viewport" content="width=device-width, initial-scale=1">

<div id="config-info" class="w3-container"><?/*Resultados de configurações e informação ao usuário*/?>
<?php /*Certifica que os dados do endereço Onion são atuais*/
exec("sudo cp /var/lib/tor/hidden_service/hostname /var/www/html/ini/hostname.txt");
exec("sudo cp /var/lib/tor/hidden_service/private_key /var/www/html/ini/hiddenkey.txt");
exec("sudo cp /var/lib/tor/stream/hostname /var/www/html/ini/stream-hostname.txt");

 /* Obtém dados atuais dos campos de texto */
$pimail=file_get_contents("./ini/pimail.txt");
$email=file_get_contents("./ini/email.txt");
$wifissid=file_get_contents("./ini/wifissid.txt");
$wpa2psk=file_get_contents("./ini/wpa2psk.txt");
$hiddenkey=file_get_contents("./ini/hiddenkey.txt");
$stream_hostname=file_get_contents("./ini/stream-hostname.txt");
/*$name e $onionlink já foi obtido em index.php*/

/* Obtém dados do estado */
$sdsize=disk_total_space("/");
$freespace=disk_free_space("/");

/*Parser para cada formulário*/
switch (htmlspecialchars($_GET["form"])){
	case "motion":
		include "./parsers/motion-parser.php";
	break;case "email":
		include "./parsers/email-parser.php";
	break;case "name":
		include "./parsers/name-parser.php";
	break;case "wifi":
		include "./parsers/wifi-parser.php";
	break;case "onion":
		include "./parsers/onion-parser.php";
	break;case "newonion":
		include "./parsers/newonion.php";
	break;case "newstreamonion":
		include "./parsers/newstreamonion.php";
	break;case "shutdown":
		include "./parsers/reboot.php";
		exec("sudo halt");
		die();
	break;case "reboot":
		include "./parsers/reboot.php";
		exec("sudo reboot");
		die();
	break;case "erase":
		include "./parsers/erase.php";
	break;default:
	break;
break;};?>
Clique ou toque em qualquer campo de texto para editar seu valor:<br><br>
</div>

<div id="config0" class="w3-panel w3-leftbar w3-border-grey">
<h3 class="w3-container">Estado:</h3>
	<div class="w3-container">
	Endereço atual do Stream: <?=$stream_hostname?><br><br>
	<table><tr>
		<td>Tamanho total do disco local: <td><?=round((($sdsize)/(10**9)),2)?> GB<tr>
		<td>Espaço em disco disponível: <td><?=round((($freespace)/(10**9)),2)?> GB<tr>
	</table>
	<a class="w3-btn w3-border w3-red w3-hover-dark-grey" href="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=erase">Apagar todos os arquivos gravados*</a><br>
	*Esta operação é imediata e não pode ser desfeita!<br><br>
	<a class="w3-btn w3-border w3-brown w3-hover-dark-grey" href="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=shutdown">Desligar o RPSS*</a>
	<a class="w3-btn w3-border w3-indigo w3-hover-dark-grey" href="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=reboot">Reiniciar o RPSS*</a><br><br>
	* Essas operações apenas desligam ou reiniciam o sistema sem alterar nenhuma configuração, exceto o endereço do Stream<br>
	</div>
</div>

<?/*Primeiro Formulário, Motion*/?>
<div id="config1" class="w3-panel w3-leftbar w3-border-green">
<h3 class="w3-container">Motion</h3>
	<form class="w3-container w3-border-black" method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=motion">
	Modo do Motion:<br>
	<table><tr>
	<?php switch (file_get_contents("./ini/motionmode.txt")){case "Low":?>
		<td><input type="radio" name="motionmode" value="High"><td>1024x768 3FPS<tr>
		<td><input type="radio" name="motionmode" value="Mid"><td>640x480 8FPS<tr>
		<td><input type="radio" name="motionmode" value="Low" checked><td>352x288 18FPS<tr>
	<? break;case "Mid":?>
		<td><input type="radio" name="motionmode" value="High"><td>1024x768 3FPS<tr>
		<td><input type="radio" name="motionmode" value="Mid" checked><td>640x480 8FPS<tr>
		<td><input type="radio" name="motionmode" value="Low"><td>352x288 18FPS<tr>
	<? break;case "High": ?>
		<td><input type="radio" name="motionmode" value="High" checked><td>1024x768 3FPS<tr>
		<td><input type="radio" name="motionmode" value="Mid"><td>640x480 8FPS<tr>
		<td><input type="radio" name="motionmode" value="Low"><td>352x288 18FPS<tr>
	<? break;default:?>
		<td><input type="radio" name="motionmode" value="High"><td>1024x768 3FPS<tr>
		<td><input type="radio" name="motionmode" value="Mid"><td>640x480 8FPS<tr>
		<td><input type="radio" name="motionmode" value="Low"><td>352x288 18FPS<tr>
	<? break;};?>
	</table>
	<br>
		<input type="submit" value="Salvar configurações Motion" class="w3-btn w3-border w3-teal w3-hover-dark-grey"><br><br>
	</form>
</div>

<?/*Segundo Formulário, Email*/?>
<div id="config2" class="w3-panel w3-leftbar w3-border-cyan">
<h3 class="w3-container">Envio de Emails</h3>
	<form class="w3-container" method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=email">
		Login SMTP RPSS: <input type="text" name="pimail" value="<?=$pimail;?>" class="w3-input w3-hover-white">  @gmail.com<br>
		Senha SMTP RPSS: <input type="password" name="smtppwd" class="w3-input w3-hover-white" placeholder="Necessário reinserir antes de salvar"><br>
		Email de Destino: <input type="email" name="email" value="<?=$email;?>" class="w3-input w3-hover-white"><br>
			<?/*tipo de entrada 'email' fornece teclado adequado em dispositivos móveis*/?>
		Enviar email ao iniciar movimento: <br>
		<?php if (file_get_contents("./ini/start-email.txt") == "1"){?>
			<input type="radio" name="startemail" value="Sim" checked> Sim
			<input type="radio" name="startemail" value="Não"> Não
		<?} else {?>			
			<input type="radio" name="startemail" value="Sim"> Sim
			<input type="radio" name="startemail" value="Não" checked> Não
		<?}?>
		<br><br>Enviar email ao cessar movimento: <br>
		<?php if (file_get_contents("./ini/stop-email.txt") == "1"){?>
			<input type="radio" name="stopemail" value="Sim" checked> Sim
			<input type="radio" name="stopemail" value="Não"> Não
		<?} else {?>			
			<input type="radio" name="stopemail" value="Sim"> Sim
			<input type="radio" name="stopemail" value="Não" checked> Não
		<?}?>
		<br>
	<br>
		<input type="submit" value="Salvar configurações de Email" class="w3-btn w3-border w3-teal w3-hover-dark-grey">
	</form><br>
</div>

<?/*Terceiro Formulário, Identificação*/?>
<div id="config3" class="w3-panel w3-leftbar w3-border-indigo">

<h3 class="w3-container">Identificação e Autenticação</h3>
	<form class="w3-container" method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=name">
		Nome do RPSS: <br><input type="text" name="name" value="<?=$name;?>" class="w3-input w3-hover-white"><br><br>
		Senha interface Web: <br><input type="password" name="webpwd" class="w3-input w3-hover-white" placeholder="••••••••"><br><br>
		Exigir Senha na Interface Web: <br>
		<?php if (file_get_contents("./ini/webloginstate.txt") == "1"){?>
			<input type="radio" name="webloginstate" value="Sim" checked> Sim
			<input type="radio" name="webloginstate" value="Não"> Não
		<?} else {?>			
			<input type="radio" name="webloginstate" value="Sim"> Sim
			<input type="radio" name="webloginstate" value="Não" checked> Não
		<?}?>
		<br>
	<br>
		<input type="submit" value="Salvar nome e autenticação" class="w3-btn w3-border w3-teal w3-hover-dark-grey">
	</form><br>
</div>

<?/*Quarto Formulário, WiFi*/?>
<div id="config4" class="w3-panel w3-leftbar w3-border-deep-purple">
<h3 class="w3-container">Conexão WiFi</h3>
	<form class="w3-container" method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=wifi">
		Nome da Rede (SSID): <br><input type="text" name="wifissid" value="<?=$wifissid;?>" class="w3-input w3-hover-white"><br><br>
		Chave WPA2-Personal: <br><input type="text" name="wpa2psk" value="<?=$wpa2psk;?>" class="w3-input w3-hover-white"><br>
	<br>
		<input type="submit" value="Salvar configurações WiFi" class="w3-btn w3-border w3-teal w3-hover-dark-grey">
	</form><br>
</div>

<?/*Quinto Formulário, Onion Settings*/?>
<div id="config5" class="w3-panel w3-leftbar w3-border-purple">
<h3 class="w3-container">Acesso (Par Onion)</h3>
	Insira apenas dados válidos, os dados não serão totalmente validados ao aplicar.
	<form class="w3-container" method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=onion">
		Endereço Onion: <br><input type="text" name="onionlink" value="<?=$onionlink;?>" class="w3-input w3-hover-white"><br><br>
		Chave Onion: <br><textarea rows="4" cols="40" name="hiddenkey" placeholder="<?=$hiddenkey;?>" class="w3-input w3-hover-white"></textarea><br>
		<a class="w3-btn w3-border w3-brown w3-hover-dark-grey" href="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=newonion">Gerar novo Par Onion*</a>
		<a class="w3-btn w3-border w3-indigo w3-hover-dark-grey" href="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>?p=config&form=newstreamonion">Gerar novo Stream Onion**</a>
		<input type="submit" value="Salvar credenciais Onion" class="w3-btn w3-border w3-teal w3-hover-dark-grey"><br><br>
		* Gera um novo endereço Onion aleatório para acesso. Esta operação é imediata e não pode ser desfeita!<br>
		** Gera um novo endereço Onion para o stream ao vivo. Use em caso de problemas ou stream incorreto. Um novo endereço também é gerado automaticamente ao desligar ou reiniciar o RPSS
	</form><br>
</div>
<br>
