<?php session_start();
switch (htmlspecialchars($_GET["p"])) {case "sair":header('Location: '.$_SERVER['PHP_SELF']);}
set_include_path(get_include_path() . PATH_SEPARATOR . "/var/www/html" . PATH_SEPARATOR . "/var/www/html/parsers" );
?> 

<!DOCTYPE html> <!--Define a página como HTML5-->
<meta charset="UTF-8" name="viewport" content="width=device-width, initial-scale=1">

<?/* Folhas de estilo CSS */?> 
<link rel="stylesheet" href="reset.css"> <?/* Reset de CSS, auxilia igualdade entre navegadores */?> 
<link rel="stylesheet" href="w3.css"> <?/* W3.css para cores e animações  */?> 
<link rel="stylesheet" href="style.css"> <?/* Folha de estilos que define o visual de toda a interface */?>

<?php /* Obtém dados básicos para a interface de usuário (include de index.php)*/
$name=file_get_contents("./ini/rpssname.txt");
$onionlink=file_get_contents("./ini/hostname.txt");
include "./login.php";?>

<title>RPSS <?=$name;?></title>

<div id="fullcanvas"> <?/* Área útil da página */?> 
	<div id="userbar" class="w3-container w3-dark-grey w3-card-8"> <?/* Barra contendo logo, info usuário, ajuda e sair*/?> 
<!--	<div id="rpss-logo"><img src="rpss.png" alt="rpss"></div><?/* Logo do projeto, apenas estético */?> -->
		<div id="rpss-logo">rpss</div><?/* Logo do projeto, apenas estético */?>
		<div id="user-area">
			<div id="user-info" class="w3-border-teal">RPSS <?=$name;?><br><?=$onionlink;?></div><?/* obtém e exibe nome e onionlink dinamicamente*/?> 
			<?php if (file_get_contents("./ini/webloginstate.txt") == 1){?>
				<div id="sair-btn"><a class="button user-btn w3-btn w3-teal w3-border w3-large" href="/index.php?p=sair">Sair</a></div>
			<?}?>
			<div id="ajuda-btn"><a class="button user-btn w3-btn w3-teal w3-border w3-large" href="/index.php?p=ajuda">Ajuda</a></div>
		</div> <?/* user-area */?> 
	</div> <?/* userbar */?> 
	<div id="content-area"> <?/* Área operacional */?> 
		<div id="menubar">
			<ul class="sidenav w3-sidenav"> 
			<?php switch (htmlspecialchars($_GET["p"])) {case "arquivos":?> 
					<li><a href="/index.php?p=stream">Stream</a></li>
					<li><a class="active w3-teal" href="/index.php?p=arquivos">Arquivos</a></li>
					<li><a href="/index.php?p=config">Configurações</a></li>
					<?php break;case "config":?> 
					<li><a href="/index.php?p=stream">Stream</a></li>
					<li><a href="/index.php?p=arquivos">Arquivos</a></li>
					<li><a class="active w3-teal" href="/index.php?p=config">Configurações</a></li>
					<?php break;case "go8081":?> 
					<li><a href="/index.php?p=stream">Stream</a></li>
					<li><a href="/index.php?p=arquivos">Arquivos</a></li>
					<li><a class="active w3-teal" href="/index.php?p=config">Configurações</a></li>
					<?php break;case "ajuda":?> 
					<li><a href="/index.php?p=stream">Stream</a></li>
					<li><a href="/index.php?p=arquivos">Arquivos</a></li>
					<li><a href="/index.php?p=config">Configurações</a></li>
					<?php break;default:?> 
					<li><a class="active w3-teal" href="/index.php?p=stream">Stream</a></li>
					<li><a href="/index.php?p=arquivos">Arquivos</a></li>
					<li><a href="/index.php?p=config">Configurações</a></li>
			<?php break;};?> 
			</ul>
		</div> <?/* Menubar */?> 
		<div id="content-target" class="content">
			<?php switch (htmlspecialchars($_GET["p"])) {
				case "arquivos":
					include "./arquivos.php";
				break;case "config":
					include "./config.php";
				break;case "ajuda":
					include "./ajuda.php";
				break;case "sair":
					$_SESSION['logged'] = 0;
				break;default:
					include "./stream.php";
				break;
			}?> 
		</div> <?/* content-target */?> 
	</div> <?/* content-area */?> 
</div> <?/* Fullcanvas */?>